__gnu_pbds::detail::stored_value< _Tv >(3cxx)

NAME
__gnu_pbds::detail::stored_value< _Tv > - Stored value.

SYNOPSIS

#include <types_traits.hpp>

Inherited by __gnu_pbds::detail::stored_data< _Tv, _Th >, and __gnu_pbds::detail::stored_data< _Tv, null_type >.

  Public Types

typedef _Tv value_type

  Public Attributes

value_type m_value

Detailed Description

  template<typename _Tv>
struct __gnu_pbds::detail::stored_value< _Tv >"Stored value.

Definition at line 78 of file types_traits.hpp.

Member Typedef Documentation

  template<typename _Tv > typedef _Tv __gnu_pbds::detail::stored_value< _Tv >::value_type

Definition at line 80 of file types_traits.hpp.

Member Data Documentation

  template<typename _Tv > value_type __gnu_pbds::detail::stored_value< _Tv >::m_value

Definition at line 81 of file types_traits.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.